Bug 476717 - RFE: Better error message is needed for --wait timeouts.
RFE: Better error message is needed for --wait timeouts.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 13:16 EST by Gurhan Ozen
Modified: 2013-11-03 20:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:44:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gurhan Ozen 2008-12-16 13:16:46 EST
Description of problem:
  This BZ is a spinoff of #306871 . If the installation takes longer than the time specified in --wait, virt-installs prints the following error:

"Installation has exceeded specified timelimit. Aborting. "  

which sounds like the installation has aborted even though the installation isn't touched. 

Version-Release number of selected component (if applicable):
python-virtinst-0.300.2-12.el5

How reproducible:
Very.
Comment 1 Cole Robinson 2009-01-23 16:13:34 EST
Okay, I fixed this upstream. I changed 'Aborting' to 'Exiting application'. I think that makes it more clear without being too verbose:

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virtinst--devel/rev/0977f391639e
Comment 3 Cole Robinson 2009-03-23 15:20:43 EDT
Built in python-virtinst-0.400.3-1.el5. Setting to MODIFIED.
Comment 5 Yan Tian 2009-07-24 01:35:07 EDT
Verified virt-install with --wait para printed "Installation has exceeded specified time limit. Existing application." with python-virtinst-0.400.3-5.el5.
Comment 7 errata-xmlrpc 2009-09-02 05:44:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1412.html

Note You need to log in before you can comment on or make changes to this bug.